(in-package "MORPHICL")

(defclass font ()
  ((canvas       :type canvas    :initarg :canvas  :reader font-canvas)
   (name         :type string    :initarg :name    :reader font-name)))

(defun fontp (object)
  (typep object 'font))

(defgeneric font-name ((font font)))
(defgeneric font-canvas ((font font)))
(defgeneric font-width ((font font) &optional text &key start end))
(defgeneric font-height ((font font) &optional text &key start end))

(defgeneric make-font ((port port) name))

